X
Tap here to go to the mobile version of the site.

Safely share files online with encrypted links that “self-destruct.” Try Firefox Send.

Give hackers a swift kick in the cookies. See if your data has been affected by a breach with Firefox Monitor. Try it now.

Access your history, passwords and open tabs wherever you are with Sync. Connect a second device.

Support Forum

I want to buy a copy of all the add ons and their support pages ever posted to your web site, because I only use XP on & 'obsolete' software on my rental fleet.

Posted

I want to buy a copy of all the add ons and their support pages ever posted to your web site, because I only use XP on & 'obsolete' software on my rental fleet. I always felt a bit silly saving every page and add on I ever installed, but I have not tried them all and there are many very good ones I have not tried out in depth, like 'HUGO' & 'ATH' & so on, but you delete them & tons of other extremely helpful & valuable great add ons from your site. Just because people continue making new guitars does not mean old ones have no value. In fact, they often SOUND much better, & the same sort of thing applies to software. Older versions of Firefox (for XP) are INFINITELY better than the new versions, so I want the add ons and support details for those. It's easy enough to note the compatibility of different add ons in the pages on your site, and what is also silly is having to install things like old now missing from your site also) 'nightly tester tools' to make your old stuff work on 'ESR' releases. Part of the reason 'Chrome is taking over' is because your 'support' model is crazy. You can simply say something like 'we do not provide any customer service answers for XP'. That's fine, but LEAVE ALL THE ADD ONS AND THE PAGES UP! =) I will never switch my rental fleet of Dells away from XP, because it is infinitely superior to the stuff that came after. It's running almost all the ATMs & banks & power plants & shipping & so many other things. NEWER DOES NOT MEAN BETTER =) Contact me and I will also be happy to provide FREE 'customer support' for the many other people out there using XP versions of Firefox, or who would like to, but are unaware how much more AWESOME it is after tweaking it out with OLD 'obsolete' add ons ~;-)

I want to buy a copy of all the add ons and their support pages ever posted to your web site, because I only use XP on & 'obsolete' software on my rental fleet. I always felt a bit silly saving every page and add on I ever installed, but I have not tried them all and there are many very good ones I have not tried out in depth, like 'HUGO' & 'ATH' & so on, but you delete them & tons of other extremely helpful & valuable great add ons from your site. Just because people continue making new guitars does not mean old ones have no value. In fact, they often SOUND much better, & the same sort of thing applies to software. Older versions of Firefox (for XP) are INFINITELY better than the new versions, so I want the add ons and support details for those. It's easy enough to note the compatibility of different add ons in the pages on your site, and what is also silly is having to install things like old now missing from your site also) 'nightly tester tools' to make your old stuff work on 'ESR' releases. Part of the reason 'Chrome is taking over' is because your 'support' model is crazy. You can simply say something like 'we do not provide any customer service answers for XP'. That's fine, but LEAVE ALL THE ADD ONS AND THE PAGES UP! =) I will never switch my rental fleet of Dells away from XP, because it is infinitely superior to the stuff that came after. It's running almost all the ATMs & banks & power plants & shipping & so many other things. NEWER DOES NOT MEAN BETTER =) Contact me and I will also be happy to provide FREE 'customer support' for the many other people out there using XP versions of Firefox, or who would like to, but are unaware how much more AWESOME it is after tweaking it out with OLD 'obsolete' add ons ~;-)
Quote

Additional System Details

Installed Plug-ins

  • DRM Netscape Network Object
  • DRM Store Netscape Plugin
  • 5.1.30514.0
  • Npdsplay dll
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:52.0) Gecko/20100101 Firefox/52.0

More Information

WestEnd
  • Top 10 Contributor
59 solutions 4772 answers

Sorry but this site doesn't do that as this is a End user help forum for the default firefox browser. Addon comes and goes and it's not a Mozilla or firefox to record them.

Sorry but this site doesn't do that as this is a End user help forum for the default firefox browser. Addon comes and goes and it's not a Mozilla or firefox to record them.
Was this helpful to you? 0
Quote
James
  • Top 25 Contributor
  • Moderator
1574 solutions 11016 answers

You may still be able to find many of the Legacy Extensions in different places as mentioned in https://support.mozilla.org/en-US/forums/contributors/713294

Firefox 57.0 and later cannot use the Legacy Extensions that versions like the old EOL Firefox 52.9.0esr can use. This is why the Legacy Extensions were removed from https://addons.mozilla.org/firefox/

You may still be able to find many of the Legacy Extensions in different places as mentioned in https://support.mozilla.org/en-US/forums/contributors/713294 Firefox 57.0 and later cannot use the Legacy Extensions that versions like the old EOL Firefox 52.9.0esr can use. This is why the Legacy Extensions were removed from https://addons.mozilla.org/firefox/

Modified by James

Was this helpful to you?
Quote
James
  • Top 25 Contributor
  • Moderator
1574 solutions 11016 answers

Btw Google cared about Windows XP and Vista far less as Chrome along with Chromium and Opera discontinued support of XP and Vista way back in April 2016.

Btw Google cared about Windows XP and Vista far less as Chrome along with Chromium and Opera discontinued support of XP and Vista way back in April 2016.
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.